OnlyFans API DocumentationOnlyFans API
Chats

List Chat Media

List the messages carrying media in a chat for a connected OnlyFans account.

Get the messages with media in a chat (the chat's gallery), newest first.

https://v1.onlyfansapi.io
GET
/api/{acct_id}/chats/{chat_id}/media

Headers

x-api-key*
string
Your API key. See Authentication.

Path Parameters

acct_id*
string
The connected account to read from, as returned by Authenticate Account.
chat_id*
integer
The OnlyFans user the chat is with, as returned in withUser.id by List Chats.

Query Parameters

limit ?
integer
Number of messages to return, between 1 and 100. Defaults to 20.
offset ?
integer
Number of items to skip, for pagination. Defaults to 0.